Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## grails.doc.ant
[Groovy] Class DocPublisherTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              grails.doc.ant.DocPublisherTask

    class DocPublisherTask
    extends org.apache.tools.ant.Task

An ant task for using the DocEngine.

Authors:
  Graeme Rocher

Since:
  1.2

Property Summary
`DocPublisher` | `publisher`

Method Summary
`void` | `execute()`
`void` | `setCssDir(java.io.File cssDir)` The directory of the css templates (optional)
`void` | `setDest(java.io.File dest)` The documentation publishing destination
`void` | `setEncoding(java.lang.String encoding)` The encoding to use (default is UTF-8)
`void` | `setImagesDir(java.io.File imagesDir)` The directory of the images (optional)
`void` | `setProperties(java.io.File propsFile)` A properties file containing the title, author etc.
`void` | `setProperties(java.util.Properties props)` A properties containing the title, author etc.
`void` | `setSrc(java.io.File src)` The documentation source location
`void` | `setStyleDir(java.io.File styleDir)` The directory of the style templates (optional)
`void` | `setWorkDir(java.io.File workDir)` The temporary directory to use (optional)

Methods inherited from class org.apache.tools.ant.Task
org.apache.tools.ant.Task#log(java.lang.String, java.lang.Throwable, int), org.apache.tools.ant.Task#log(java.lang.Throwable, int), org.apache.tools.ant.Task#log(java.lang.String, int), org.apache.tools.ant.Task#log(java.lang.String), org.apache.tools.ant.Task#init(), org.apache.tools.ant.Task#execute(), org.apache.tools.ant.Task#getTaskName(), org.apache.tools.ant.Task#getOwningTarget(), org.apache.tools.ant.Task#getTaskType(), org.apache.tools.ant.Task#setTaskType(java.lang.String), org.apache.tools.ant.Task#setTaskName(java.lang.String), org.apache.tools.ant.Task#setOwningTarget(org.apache.tools.ant.Target), org.apache.tools.ant.Task#getRuntimeConfigurableWrapper(), org.apache.tools.ant.Task#setRuntimeConfigurableWrapper(org.apache.tools.ant.RuntimeConfigurable), org.apache.tools.ant.Task#maybeConfigure(), org.apache.tools.ant.Task#reconfigure(), org.apache.tools.ant.Task#perform(), org.apache.tools.ant.Task#bindToOwner(org.apache.tools.ant.Task), org.apache.tools.ant.Task#clone(), org.apache.tools.ant.Task#getLocation(), org.apache.tools.ant.Task#getDescription(), org.apache.tools.ant.Task#setLocation(org.apache.tools.ant.Location), org.apache.tools.ant.Task#setDescription(java.lang.String), org.apache.tools.ant.Task#getProject(), org.apache.tools.ant.Task#setProject(org.apache.tools.ant.Project), org.apache.tools.ant.Task#wait(), org.apache.tools.ant.Task#wait(long), org.apache.tools.ant.Task#wait(long, int), org.apache.tools.ant.Task#equals(java.lang.Object), org.apache.tools.ant.Task#toString(), org.apache.tools.ant.Task#hashCode(), org.apache.tools.ant.Task#getClass(), org.apache.tools.ant.Task#notify(), org.apache.tools.ant.Task#notifyAll()

Methods inherited from class org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.ProjectComponent#clone(), org.apache.tools.ant.ProjectComponent#log(java.lang.String, int), org.apache.tools.ant.ProjectComponent#log(java.lang.String), org.apache.tools.ant.ProjectComponent#getLocation(), org.apache.tools.ant.ProjectComponent#getDescription(), org.apache.tools.ant.ProjectComponent#setLocation(org.apache.tools.ant.Location), org.apache.tools.ant.ProjectComponent#setDescription(java.lang.String), org.apache.tools.ant.ProjectComponent#getProject(), org.apache.tools.ant.ProjectComponent#setProject(org.apache.tools.ant.Project), org.apache.tools.ant.ProjectComponent#wait(), org.apache.tools.ant.ProjectComponent#wait(long), org.apache.tools.ant.ProjectComponent#wait(long, int), org.apache.tools.ant.ProjectComponent#equals(java.lang.Object), org.apache.tools.ant.ProjectComponent#toString(), org.apache.tools.ant.ProjectComponent#hashCode(), org.apache.tools.ant.ProjectComponent#getClass(), org.apache.tools.ant.ProjectComponent#notify(), org.apache.tools.ant.ProjectComponent#notifyAll()

Property Detail

### publisher

    DocPublisher publisher

Method Detail

### execute

    void execute()

### setCssDir

    void setCssDir(java.io.File cssDir)

  The directory of the css templates (optional)

### setDest

    void setDest(java.io.File dest)

  The documentation publishing destination

### setEncoding

    void setEncoding(java.lang.String encoding)

  The encoding to use (default is UTF-8)

### setImagesDir

    void setImagesDir(java.io.File imagesDir)

  The directory of the images (optional)

### setProperties

    void setProperties(java.io.File propsFile)

  A properties file containing the title, author etc.

### setProperties

    void setProperties(java.util.Properties props)

  A properties containing the title, author etc.

### setSrc

    void setSrc(java.io.File src)

  The documentation source location

### setStyleDir

    void setStyleDir(java.io.File styleDir)

  The directory of the style templates (optional)

### setWorkDir

    void setWorkDir(java.io.File workDir)

  The temporary directory to use (optional)

Groovy Documentation